package com.ynet.life.sujrb.action;

import com.ibm.icu.text.SimpleDateFormat;
import com.itextpdf.text.BaseColor;
import com.itextpdf.text.Chunk;
import com.itextpdf.text.Document;
import com.itextpdf.text.Font;
import com.itextpdf.text.Image;
import com.itextpdf.text.PageSize;
import com.itextpdf.text.Paragraph;
import com.itextpdf.text.pdf.BaseFont;
import com.itextpdf.text.pdf.PdfContentByte;
import com.itextpdf.text.pdf.PdfCopy;
import com.itextpdf.text.pdf.PdfImportedPage;
import com.itextpdf.text.pdf.PdfPCell;
import com.itextpdf.text.pdf.PdfPTable;
import com.itextpdf.text.pdf.PdfReader;
import com.itextpdf.text.pdf.PdfStamper;
import com.itextpdf.text.pdf.PdfWriter;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import java.io.File;
import java.io.FileOutputStream;
import java.util.Date;
import java.util.HashMap;
import java.util.Random;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/MergePDFsAction.class */
public class MergePDFsAction extends LifeAction {
    private String ouputPath;
    private String outputName;
    private String inputList;
    private String uploadFileFolder;
    private String totalAmt;
    private String financeName;
    private String fprProtypeName;
    private String corName;

    public String execute(Context context) throws GENEException {
        String path;
        IndexedCollection icoll = context.getDataElement(this.inputList);
        context.getDataValue(this.ouputPath);
        context.getDataValue(this.outputName);
        this.totalAmt = (String) context.getDataValue("totalAmt");
        this.financeName = (String) context.getDataValue("financeName");
        this.corName = (String) context.getDataValue("corName");
        String fprProtype = (String) context.getDataValue("fprProtype");
        this.fprProtypeName = "一般产品";
        if ("0".equals(fprProtype)) {
            this.fprProtypeName = "一般产品";
        } else if ("1".equals(fprProtype)) {
            this.fprProtypeName = "苏科贷1";
        } else if ("2".equals(fprProtype)) {
            this.fprProtypeName = "科技贷";
        } else if ("3".equals(fprProtype)) {
            this.fprProtypeName = "园科贷";
        } else if ("4".equals(fprProtype)) {
            this.fprProtypeName = "扎根贷";
        } else if ("5".equals(fprProtype)) {
            this.fprProtypeName = "知识贷";
        } else if ("6".equals(fprProtype)) {
            this.fprProtypeName = "绿色智造贷";
        } else if ("7".equals(fprProtype)) {
            this.fprProtypeName = "苗圃贷";
        } else if ("8".equals(fprProtype)) {
            this.fprProtypeName = "关助融";
        } else if ("9".equals(fprProtype)) {
            this.fprProtypeName = "融风科贷";
        } else if ("10".equals(fprProtype)) {
            this.fprProtypeName = "领军创投";
        } else if ("11".equals(fprProtype)) {
            this.fprProtypeName = "合作基金";
        } else if ("12".equals(fprProtype)) {
            this.fprProtypeName = "战疫贷";
        } else if ("13".equals(fprProtype)) {
            this.fprProtypeName = "苏科贷2";
        } else if ("14".equals(fprProtype)) {
            this.fprProtypeName = "先进制造贷";
        }
        String rootPath = LifeStandard.getSelfDefineSettingsValue("fileDownloadPath");
        String outputFilePath = getUploadDirectory();
        String outputFileName = String.valueOf(LifeStandard.getServerTime("yyyyMMddHHmmssSSS")) + new Random().nextInt(1000) + "_toDelete.pdf";
        String filePathCover = String.valueOf(outputFilePath) + LifeFile.DIR_SEPARATOR + outputFileName;
        System.out.println("pdf生成路径Cover==================".concat(String.valueOf(filePathCover)));
        String fileSrc = createCover(filePathCover);
        if (icoll.size() == 0) {
            return "1";
        }
        String uploadPath = getUploadDirectory();
        String outputFileName2 = String.valueOf(this.fprProtypeName) + "_" + this.corName + "_" + this.totalAmt + ".pdf";
        String outputFileName3 = queryFileName(uploadPath, outputFileName2);
        String filePath = String.valueOf(uploadPath) + LifeFile.DIR_SEPARATOR + outputFileName3;
        System.out.println("pdf生成路径==================".concat(String.valueOf(filePath)));
        String failName = "";
        try {
            Document doc = new Document();
            PdfCopy pdfCopy = new PdfCopy(doc, new FileOutputStream(filePath));
            doc.open();
            PdfReader reader = new PdfReader(fileSrc);
            int pageCount = reader.getNumberOfPages();
            for (int j = 1; j <= pageCount; j++) {
                System.out.println(j);
                doc.newPage();
                PdfImportedPage page = pdfCopy.getImportedPage(reader, j);
                pdfCopy.addPage(page);
            }
            for (int i = 0; i < icoll.size(); i++) {
                KeyedCollection kcoll = icoll.getElementAt(i);
                String path2 = (String) kcoll.getDataValue("filePath");
                String name = (String) kcoll.getDataValue("path");
                String type = (String) kcoll.getDataValue("type");
                if (!"23".equals(type)) {
                    if (path2.startsWith("upload")) {
                        path = String.valueOf(rootPath) + path2 + LifeFile.DIR_SEPARATOR + name;
                    } else {
                        path = String.valueOf(path2) + LifeFile.DIR_SEPARATOR + name;
                    }
                    failName = path;
                    String pdfPath = addAnnotionPdf(path, type);
                    PdfReader pdfReader = new PdfReader(pdfPath);
                    int numberOfPages = pdfReader.getNumberOfPages();
                    for (int j2 = 1; j2 <= numberOfPages; j2++) {
                        System.out.println(j2);
                        doc.newPage();
                        PdfImportedPage page2 = pdfCopy.getImportedPage(pdfReader, j2);
                        pdfCopy.addPage(page2);
                    }
                }
            }
            doc.close();
            String[] fileList = new File(uploadPath).list();
            for (int i2 = 0; i2 < fileList.length; i2++) {
                if (fileList[i2].split("\\.")[0].endsWith("_toDelete")) {
                    File file = new File(String.valueOf(uploadPath) + LifeFile.DIR_SEPARATOR + fileList[i2]);
                    if (file.exists()) {
                        file.delete();
                    }
                }
            }
            context.setDataValue(this.outputName, outputFileName3);
            context.setDataValue(this.ouputPath, uploadPath);
            return "0";
        } catch (Exception e) {
            TranFailException tfe = new TranFailException(e);
            Trace.logError("LOAF", String.valueOf(e.getMessage()) + "========" + failName, e);
            context.put("GENEException", tfe);
            throw tfe;
        }
    }

    protected String queryFileName(String folder, String name) {
        boolean flag = false;
        File[] array = new File(folder).listFiles();
        for (int j = 1; j < array.length + 1; j++) {
            int i = 0;
            while (true) {
                if (i >= array.length) {
                    break;
                }
                if (array[i].isFile()) {
                    if (array[i].getName().equals(name)) {
                        name = String.valueOf(name) + "(" + j + ")";
                        flag = false;
                        break;
                    }
                    flag = true;
                }
                i++;
            }
            if (flag) {
                break;
            }
        }
        return name;
    }

    protected String addAnnotionPdf(String pdfPath, String type) {
        PdfReader reader;
        PdfStamper stamper;
        String uploadPath = getUploadDirectory();
        HashMap<String, String> typeMap = getTypeMap();
        String filePathCover = String.valueOf(uploadPath) + LifeFile.DIR_SEPARATOR + LifeStandard.getServerTime("yyyyMMddHHmmssSSS") + new Random().nextInt(1000) + "_toDelete.pdf";
        try {
            if (pdfPath.endsWith("pdf") || pdfPath.endsWith("PDF")) {
                reader = new PdfReader(pdfPath);
                stamper = new PdfStamper(reader, new FileOutputStream(filePathCover));
            } else {
                String fPathCover = String.valueOf(uploadPath) + LifeFile.DIR_SEPARATOR + LifeStandard.getServerTime("yyyyMMddHHmmssSSS") + new Random().nextInt(1000) + "_toDelete.pdf";
                Document document = new Document();
                PdfWriter.getInstance(document, new FileOutputStream(fPathCover));
                document.open();
                Image image = Image.getInstance(pdfPath);
                document.add(image);
                document.close();
                reader = new PdfReader(fPathCover);
                stamper = new PdfStamper(reader, new FileOutputStream(filePathCover));
            }
            PdfContentByte canvas = stamper.getOverContent(1);
            canvas.saveState();
            canvas.setColorFill(BaseColor.WHITE);
            canvas.fill();
            canvas.restoreState();
            canvas.beginText();
            BaseFont bf = BaseFont.createFont("STSong-Light", "UniGB-UCS2-H", true);
            Font font = new Font(bf, 8.0f, 1);
            canvas.setFontAndSize(font.getBaseFont(), 8.0f);
            canvas.setTextMatrix(2.0f, 2.0f);
            canvas.showText(typeMap.get(type));
            canvas.endText();
            stamper.close();
            reader.close();
        } catch (Exception e) {
            Trace.logError("LOAF", String.valueOf(pdfPath) + "=====" + e.getMessage(), e);
            e.printStackTrace();
        }
        return filePathCover;
    }

    private HashMap<String, String> getTypeMap() {
        HashMap<String, String> typeMap = new HashMap<>();
        typeMap.put("1", "企业项目申报书");
        typeMap.put("2", "业务承诺书");
        typeMap.put("3", "企业近两年经审计的财务报告（无需报表附注）或近三年年度财务报表和每期报表相对应的增值税纳税申报表");
        typeMap.put("4", "企业征信报告（人行）");
        typeMap.put("5", "营业执照、法人身份证");
        typeMap.put("6", "其他附件");
        typeMap.put("7", "苏州市风险补偿资金申请表（银行联）");
        typeMap.put("8", "质押专利证书复印件");
        typeMap.put("9", "知识产权预评估报告");
        typeMap.put("10", "知识产权质押登记表");
        typeMap.put("11", "绿色智造项目贷款纳入风险金补偿确认书");
        typeMap.put("12", "项目申报书");
        typeMap.put("13", "准贷通知书");
        typeMap.put("14", "贷款合同");
        typeMap.put("15", "担保合同 ");
        typeMap.put("16", "放款凭证");
        typeMap.put("17", "还款凭证");
        typeMap.put("18", "银行调查报告");
        typeMap.put("19", "企业地方征信");
        typeMap.put("20", "银行审批意见");
        typeMap.put("21", "企业最近一期财务报表及相对应的纳税申报表");
        typeMap.put("22", "苏科贷备案表");
        typeMap.put("26", "江苏省投资项目备案证");
        typeMap.put("27", "担保公司审批意见'");
        return typeMap;
    }

    protected String getUploadDirectory() {
        String dir = String.valueOf(LifeFile.getFileRootPath()) + this.uploadFileFolder + LifeFile.DIR_SEPARATOR + LifeStandard.getServerTime("yyyyMMdd");
        checkFolder(dir);
        return dir;
    }

    private void checkFolder(String folderPath) {
        if (!new File(folderPath).isDirectory()) {
            Trace.logError("LifeFile", "本地目录--->" + folderPath + " 不可用");
            LifeFile.makeMultiDirectory(folderPath);
        }
    }

    private String createCover(String folderPath) {
        String fileSrc = "";
        Document document = new Document(PageSize.A4, 80.0f, 80.0f, 60.0f, 10.0f);
        PdfWriter pdfw = null;
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
        Date dataYear = new Date();
        String year = sdf.format(dataYear).substring(0, 4);
        String month = sdf.format(dataYear).substring(4, 6);
        PdfReader substring = sdf.format(dataYear).substring(6, 8);
        try {
            try {
                Image.getInstance(getClass().getResource("/images/check.png"));
                Image img1False = Image.getInstance(getClass().getResource("/images/uncheck.png"));
                BaseFont bfChi = BaseFont.createFont("STSong-Light", "UniGB-UCS2-H", false);
                Font fontChi_bd = new Font(bfChi, 30.0f, 1);
                Font fontChi_12 = new Font(bfChi, 10.0f, 0);
                Font fontChi_bd_ul_12 = new Font(bfChi, 12.0f, 4);
                pdfw = PdfWriter.getInstance(document, new FileOutputStream(folderPath));
                document.open();
                new Paragraph();
                PdfPTable table1 = new PdfPTable(4);
                table1.setHorizontalAlignment(1);
                table1.setWidthPercentage(20.0f);
                float[] wid1 = {0.15f, 0.35f, 0.15f, 0.35f};
                table1.setWidths(wid1);
                img1False.scalePercent(20.0f);
                PdfPCell cell11 = new PdfPCell();
                cell11.setImage(img1False);
                cell11.setVerticalAlignment(5);
                cell11.setBorderWidth(0.0f);
                table1.addCell(cell11);
                PdfPCell cell12 = new PdfPCell(new Paragraph("首贷      ", fontChi_12));
                cell12.setVerticalAlignment(1);
                cell12.setBorderWidth(0.0f);
                table1.addCell(cell12);
                PdfPCell cell13 = new PdfPCell();
                cell13.setImage(img1False);
                cell13.setVerticalAlignment(5);
                cell13.setBorderWidth(0.0f);
                table1.addCell(cell13);
                PdfPCell cell14 = new PdfPCell(new Paragraph("续贷       ", fontChi_12));
                cell14.setVerticalAlignment(5);
                cell14.setPaddingBottom(6.0f);
                cell14.setBorderWidth(0.0f);
                table1.addCell(cell14);
                PdfPTable table2 = new PdfPTable(2);
                table2.getDefaultCell().setBorderWidth(0.0f);
                table2.setWidthPercentage(100.0f);
                float[] wid12 = {0.8f, 0.2f};
                table2.setWidths(wid12);
                table2.addCell("");
                table2.addCell(table1);
                document.add(table2);
                Paragraph prh = new Paragraph();
                prh.setAlignment(2);
                prh.setSpacingAfter(15.0f);
                document.add(prh);
                Paragraph prh2 = new Paragraph("苏州工业园区", fontChi_bd);
                prh2.setAlignment(1);
                prh2.setSpacingAfter(8.0f);
                document.add(prh2);
                Paragraph prh3 = new Paragraph("“" + this.fprProtypeName + "”项目申报书", fontChi_bd);
                prh3.setAlignment(1);
                prh3.setSpacingAfter(8.0f);
                document.add(prh3);
                Paragraph prh4 = new Paragraph();
                prh4.setAlignment(0);
                prh4.setSpacingAfter(60.0f);
                document.add(prh4);
                Paragraph prh5 = new Paragraph();
                prh5.setAlignment(0);
                prh5.setSpacingAfter(60.0f);
                document.add(prh5);
                Paragraph prh6 = new Paragraph("申报企业名称（盖章）", fontChi_12);
                prh6.setAlignment(1);
                Chunk chunk = new Chunk("                                         ", fontChi_bd_ul_12);
                prh6.add(chunk);
                prh6.setSpacingAfter(10.0f);
                document.add(prh6);
                Paragraph prh7 = new Paragraph("                  申  报  金  额   ", fontChi_12);
                prh7.setAlignment(1);
                Chunk chunk2 = new Chunk("                                          ", fontChi_bd_ul_12);
                prh7.add(chunk2);
                prh7.setSpacingAfter(10.0f);
                document.add(prh7);
                Paragraph prh8 = new Paragraph("                  申  报  日  期   ", fontChi_12);
                prh8.setAlignment(1);
                Chunk chunk3 = new Chunk("                                          ", fontChi_bd_ul_12);
                prh8.add(chunk3);
                prh8.setSpacingAfter(10.0f);
                document.add(prh8);
                Paragraph prh9 = new Paragraph("                  申  报  机  构   ", fontChi_12);
                prh9.setAlignment(1);
                Chunk chunk4 = new Chunk("                                          ", fontChi_bd_ul_12);
                prh9.add(chunk4);
                prh9.setSpacingAfter(10.0f);
                document.add(prh9);
                Paragraph prh10 = new Paragraph();
                prh10.setAlignment(0);
                prh10.setSpacingAfter(60.0f);
                document.add(prh10);
                Paragraph prh11 = new Paragraph();
                prh11.setAlignment(0);
                prh11.setSpacingAfter(60.0f);
                document.add(prh11);
                Paragraph prh12 = new Paragraph("二〇二〇年制", fontChi_12);
                prh12.setAlignment(1);
                document.add(prh12);
                document.close();
                pdfw.flush();
                pdfw.close();
                String rootPath = LifeStandard.getSelfDefineSettingsValue("fileRootPath");
                String folder = String.valueOf(LifeStandard.getServerTime("yyyyMMddHHmmssSSS")) + new Random().nextInt(1000000000);
                LifeFile.makeMultiDirectory(rootPath, folder);
                fileSrc = String.valueOf(rootPath) + folder + LifeFile.DIR_SEPARATOR + LifeStandard.getServerTime("yyyyMMddHHmmssSSS") + new Random().nextInt(1000) + "_toDelete.pdf";
                System.out.println("pdf生成路径Cover签字==================".concat(String.valueOf(fileSrc)));
                PdfReader reader = new PdfReader(folderPath);
                PdfStamper stamper1 = new PdfStamper(reader, new FileOutputStream(fileSrc));
                PdfContentByte canvasSeal = stamper1.getOverContent(1);
                canvasSeal.saveState();
                canvasSeal.setColorFill(BaseColor.WHITE);
                canvasSeal.fill();
                canvasSeal.restoreState();
                canvasSeal.beginText();
                BaseFont bf = BaseFont.createFont("STSong-Light", "UniGB-UCS2-H", true);
                Font font = new Font(bf, 10.0f, 1);
                canvasSeal.setFontAndSize(font.getBaseFont(), 10.0f);
                canvasSeal.setTextMatrix(320.0f, 430.0f);
                canvasSeal.showText(this.financeName);
                canvasSeal.endText();
                canvasSeal.saveState();
                canvasSeal.setColorFill(BaseColor.WHITE);
                canvasSeal.fill();
                canvasSeal.restoreState();
                canvasSeal.beginText();
                canvasSeal.setFontAndSize(font.getBaseFont(), 10.0f);
                canvasSeal.setTextMatrix(320.0f, 455.0f);
                canvasSeal.showText(String.valueOf(year) + "-" + month + "-" + ((String) substring));
                canvasSeal.endText();
                canvasSeal.saveState();
                canvasSeal.setColorFill(BaseColor.WHITE);
                canvasSeal.fill();
                canvasSeal.restoreState();
                canvasSeal.beginText();
                canvasSeal.setFontAndSize(font.getBaseFont(), 10.0f);
                canvasSeal.setTextMatrix(320.0f, 480.0f);
                canvasSeal.showText(String.valueOf(this.totalAmt) + "元");
                canvasSeal.endText();
                canvasSeal.saveState();
                canvasSeal.setColorFill(BaseColor.WHITE);
                canvasSeal.fill();
                canvasSeal.restoreState();
                canvasSeal.beginText();
                canvasSeal.setFontAndSize(font.getBaseFont(), 10.0f);
                canvasSeal.setTextMatrix(320.0f, 505.0f);
                canvasSeal.showText(this.corName);
                canvasSeal.endText();
                stamper1.close();
                substring = reader;
                substring.close();
                document.close();
                if (pdfw != null) {
                    pdfw.flush();
                    pdfw.close();
                }
            } catch (Exception e) {
                substring.printStackTrace();
                document.close();
                if (pdfw != null) {
                    pdfw.flush();
                    pdfw.close();
                }
            }
            return fileSrc;
        } catch (Throwable th) {
            document.close();
            if (pdfw != null) {
                pdfw.flush();
                pdfw.close();
            }
            throw th;
        }
    }

    public String getOuputPath() {
        return this.ouputPath;
    }

    public void setOuputPath(String ouputPath) {
        this.ouputPath = ouputPath;
    }

    public String getInputList() {
        return this.inputList;
    }

    public void setInputList(String inputList) {
        this.inputList = inputList;
    }

    public String getUploadFileFolder() {
        return this.uploadFileFolder;
    }

    public void setUploadFileFolder(String uploadFileFolder) {
        this.uploadFileFolder = uploadFileFolder;
    }

    public String getOutputName() {
        return this.outputName;
    }

    public void setOutputName(String outputName) {
        this.outputName = outputName;
    }
}
